## libqmi 1.32.0

=== debian/changelog ===
libqmi (1.32.0-1ubuntu0.22.04.1) jammy; urgency=medium

  * Backport the newer modemmanager stack to the LTS as part of
    new hardware enablement including FM350 modems
    (lp: #1950282)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2022 13:17:29 +0100

=== debian/control ===
Source: libqmi
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Guido Günther <agx@sigxcpu.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>,
           Martin <debacle@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               gobject-introspection,
               gtk-doc-tools <!nodoc>,
               help2man,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.56),
               libgudev-1.0-dev (>= 232),
               libmbim-glib-dev (>= 1.27~),
               meson,
               pkg-config,
               python3:any
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Section: libs
Homepage: https://www.freedesktop.org/wiki/Software/libqmi
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libqmi.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libqmi

Package: libqmi-glib-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-qmi-1.0 (= ${binary:Version}),
         libqmi-glib5 (= ${binary:Version}),
         libglib2.0-dev,
Suggests: libqmi-glib-doc,
Description: Header files for adding QMI support to applications that use glib
 This package contains the header and pkg-config files for development
 applications using QMI functionality from applications that use glib.

Package: libqmi-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: devhelp,
Build-Profiles: <!nodoc>
Description: API documentation for libqmi-glib
 This package provides the API documentation for libqmi-glib for adding
 QMI support to applications that use glib.

Package: libqmi-glib5
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Support library to use the Qualcomm MSM Interface (QMI) protocol
 Libraries for adding QMI support to applications that use glib.

Package: libqmi-utils
Section: net
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Utilities to use the QMI protocol from the command line
 This package contains the utilities that make it easier to use QMI
 functionality from the command line.

Package: libqmi-proxy
Section: net
Architecture: linux-any
Multi-Arch: foreign
Depends: libqmi-glib5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Proxy to communicate with QMI ports
 This package contains the binary qmi-proxy used by libqmi to allow multiple
 clients to use the same QMI port simultaneously.

Package: gir1.2-qmi-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for libqmi-glib
 This package contains introspection data for the libqmi-glib library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DOPACKAGES=$(shell dh_listpackages)

%:
	dh $@ --with gir

ifneq (,$(filter libqmi-glib-doc,$(DOPACKAGES)))
CONFIGURE_FLAGS = -Dgtk_doc=true
else
CONFIGURE_FLAGS = -Dgtk_doc=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFIGURE_FLAGS) \
		-Dfirmware_update=true \
		-Dudev=true \
		-Dintrospection=true \
		-Dmbim_qmux=true \
		-Dqrtr=false

override_dh_installexamples:
	dh_installexamples -XMakefile

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://www.freedesktop.org/software/libqmi/libqmi-(.*)\.tar\.xz

## libqmi 1.32.2

=== debian/changelog ===
libqmi (1.32.2-1ubuntu2) lunar; urgency=medium

  * libqrtr isn't build on i386 currently

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 19:05:56 -0500

libqmi (1.32.2-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.  The remaining difference is the change
    for building without libqrtr, since it is currently not in main (see
    the 1.32.0-1ubuntu2 entry below).

 -- Amin Bandali <bandali@canonical.com>  Wed, 08 Feb 2023 13:23:23 -0500

libqmi (1.32.2-1) unstable; urgency=medium

  * d/watch: only watch for stable releases
    `libqmi` has a x.y.z version numbering scheme where y is even for
    stable releases and odd for development ones. Stable release candidates
    have x.y-rcz version numbers with y being an even number. This change
    ensures we only watch for stable releases, including RCs.
  * New upstream version 1.32.2

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Dec 2022 11:51:57 +0100

libqmi (1.32.0-1ubuntu2) lunar; urgency=medium

  * Build without libqrtr for now, the MIR is blocked since we don't have
    hardware available to do the required testing of the feature,
    include some workarounds to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2022 11:01:07 +0100

libqmi (1.32.0-1) unstable; urgency=medium

  * New upstream version 1.32.0
  * d/watch: look for git tags instead of source tarballs.
    Upstream stopped publishing source tarballs and now requests that we
    use (signed) git tags for new versions. Take this opportunity to update
    the upstream signing key.
  * d/patches: drop obsolete patches.
    The corresponding issue have been fixed upstream.
  * d/control: update build dependencies
    `meson` is now the only build system supported for this package, which
    now also depends on `bash-completion` at build time.
  * d/rules: adapt to upstream build system change.
    Upstream switched from `autotools` to `meson`. As a consequence,
    configure options are handled differently, so let's adapt to those
    changes.
  * libqmi-glib5: remove README from installed docs.
    This file has been removed in the latest version.
  * libqmi-glib5: update symbols file for new upstream release
  * d/source: remove obsolete lintian overrides.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 28 Oct 2022 15:46:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               bash-completion,
                gobject-introspection,
                gtk-doc-tools <!nodoc>,
                help2man,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.56),
-               libgudev-1.0-dev (>= 232),
-               libmbim-glib-dev (>= 1.27~),
+               libglib2.0-dev,
+               libgudev-1.0-dev,
+               libmbim-glib-dev,
+               libqrtr-glib-dev (>= 1.0.0) [!i386],
                meson,
                pkg-config,
-               python3:any
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -34,6 +34,7 @@
          gir1.2-qmi-1.0 (= ${binary:Version}),
          libqmi-glib5 (= ${binary:Version}),
          libglib2.0-dev,
+#         libqrtr-glib-dev [!i386],
 Suggests: libqmi-glib-doc,
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development

## libqmi 1.32.4

=== debian/changelog ===
libqmi (1.32.4-2ubuntu1) mantic; urgency=medium

  * Resynchrnoize on Debian, remaining changes
    Build without libqrtr for now, the MIR is blocked since we don't have
    hardware available to do the required testing of the feature,
    include some workarounds to fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Jun 2023 16:36:10 +0200

libqmi (1.32.4-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:37:04 +0200

libqmi (1.32.4-1) experimental; urgency=medium

  * New upstream version 1.32.4

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 15:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev,
-               libqrtr-glib-dev (>= 1.0.0) [!i386],
                meson,
                pkg-config,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
@@ -34,7 +33,6 @@
          gir1.2-qmi-1.0 (= ${binary:Version}),
          libqmi-glib5 (= ${binary:Version}),
          libglib2.0-dev,
-#         libqrtr-glib-dev [!i386],
 Suggests: libqmi-glib-doc,
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DOPACKAGES=$(shell dh_listpackages)

%:
	dh $@ --with gir

ifneq (,$(filter libqmi-glib-doc,$(DOPACKAGES)))
CONFIGURE_FLAGS += -Dgtk_doc=true
else
CONFIGURE_FLAGS += -Dgtk_doc=false
endif

override_dh_auto_configure:
	dh_auto_configure -- -Ddefault_library=both $(CONFIGURE_FLAGS) -Dqrtr=false

override_dh_missing:
	dh_missing -X.la

override_dh_installexamples:
	dh_installexamples -XMakefile

## libqmi 1.34.0

=== debian/changelog ===
libqmi (1.34.0-2) unstable; urgency=medium

  * d/patches: fix build on big endian architectures

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 21 Oct 2023 11:55:32 +0200

libqmi (1.34.0-1) unstable; urgency=medium

  * New upstream version 1.34.0
  * d/clean: clean up python compiled bytecode files (Closes: #1047700)
  * libqmi-glib5: update symbols file for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 20 Oct 2023 12:53:59 +0200

## libqmi 1.35.2

=== debian/changelog ===
libqmi (1.35.2-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:12:03 +0000

libqmi (1.35.2-0ubuntu1) noble; urgency=medium

  * New upstream serie

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Feb 2024 20:59:44 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev,
+               libqrtr-glib-dev (>= 1.0.0),
                meson,
                pkg-config,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
@@ -33,6 +34,7 @@
          gir1.2-qmi-1.0 (= ${binary:Version}),
          libqmi-glib5 (= ${binary:Version}),
          libglib2.0-dev,
+         libqrtr-glib-dev,
 Suggests: libqmi-glib-doc,
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development

## libqmi 1.35.6

=== debian/changelog ===
libqmi (1.35.6-1) experimental; urgency=medium

  * New upstream version 1.35.6
  * Update symbols
  * Drop patch, applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Sep 2024 12:14:10 +0200

## libqmi 1.35.95

=== debian/changelog ===
libqmi (1.35.95-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: libgmi-glib-dev needs libmbim-glib-dev
  * Add superficial autopkgtest

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Mar 2025 09:47:33 +0100

libqmi (1.35.95-1) experimental; urgency=medium

  * New upstream version 1.35.95
  * Update symbols
  * Use pkgconf rather than pkg-config
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Mar 2025 22:17:42 +0100

## libqmi 1.36.0

=== debian/changelog ===
libqmi (1.36.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * d/gbp.conf: Switch to debian/latest.

  [ Arnaud Ferraris ]
  * d/watch: convert to version 5.
    Use the new Gitlab template for easier management, but override the
    matching pattern so we only get stable (pre)releases, which have an even
    minor version number.
  * d/control: drop libgirepository1.0-dev build dependency.
    This one shouldn't be used anymore as it isn't multiarch-friendly.
    Instead, use a recent `gobject-introspection` and explicitly (build)
    depend on the needed `gir1.2-*-dev` packages.
    While at it, drop the now-obsolete `Rules-Requires-Root` and bump
    `Standards-Version` as no other change is needed. (Closes: #1118881)
  * d/copyright: drop reference to old FSF address.
    Replace it with the usual link to http://www.gnu.org/licenses/.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Oct 2025 13:03:13 +0100

libqmi (1.36.0-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Wed, 09 Apr 2025 10:04:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: libqmi
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
-               gobject-introspection,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                gtk-doc-tools <!nodoc>,
                help2man,
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev,
                libqrtr-glib-dev (>= 1.0.0),
                meson,
-               pkg-config,
+               pkgconf,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libqmi.git
@@ -31,11 +30,13 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         gir1.2-qmi-1.0 (= ${binary:Version}),
+         libmbim-glib-dev,
          libqmi-glib5 (= ${binary:Version}),
          libglib2.0-dev,
          libqrtr-glib-dev,
+         ${gir:Depends},
 Suggests: libqmi-glib-doc,
+Provides: ${gir:Provides}
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development
  applications using QMI functionality from applications that use glib.
@@ -84,8 +85,6 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for libqmi-glib
  This package contains introspection data for the libqmi-glib library.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Ddefault_library=both $(CONFIGURE_FLAGS) -Dqrtr=false
+	dh_auto_configure -- -Ddefault_library=both $(CONFIGURE_FLAGS)
 
 override_dh_missing:
 	dh_missing -X.la

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/mobile-broadband/@PACKAGE@
Matching-Pattern: .*(\d+\.\d[02468](\.\d*)?(\-(alpha|beta|rc))?\d*)

## libqmi 1.37.1

=== debian/changelog ===
libqmi (1.37.1-1) experimental; urgency=medium

  * New upstream development snapshot
  * Upload to experimental
  * signing-key: Add key used for dev snapshots
  * d/watch: Allow for development snapshots
  * d/gbp.conf: Switch to debian/experimental
  * Use gi-docgen. Upstream switched away from gtk-doc
  * Add new symbols

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Jun 2025 20:37:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
-               gir1.2-gio-2.0-dev,
-               gir1.2-gobject-2.0-dev,
-               gobject-introspection (>= 1.80),
-               gtk-doc-tools <!nodoc>,
+               gobject-introspection,
+               gi-docgen <!nodoc>,
                help2man,
+               libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev,
@@ -19,7 +18,8 @@
                meson,
                pkgconf,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libqmi.git
@@ -30,13 +30,12 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         gir1.2-qmi-1.0 (= ${binary:Version}),
          libmbim-glib-dev,
          libqmi-glib5 (= ${binary:Version}),
          libglib2.0-dev,
          libqrtr-glib-dev,
-         ${gir:Depends},
 Suggests: libqmi-glib-doc,
-Provides: ${gir:Provides}
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development
  applications using QMI functionality from applications that use glib.
@@ -85,6 +84,8 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for libqmi-glib
  This package contains introspection data for the libqmi-glib library.

=== debian/tests/control ===
Test-Command: qmicli --help
Restrictions: superficial
Depends:
 libqmi-utils,

Test-Command: qmi-firmware-update --help
Restrictions: superficial
Depends:
 libqmi-utils,

Test-Command: pkgconf --libs --cflags qmi-glib
Restrictions: superficial
Depends: pkgconf,
 libqmi-glib-dev,

## libqmi 1.37.95

=== debian/changelog ===
libqmi (1.37.95-1) experimental; urgency=medium

  * New upstream release
  * Update upstream signing from
    https://lists.freedesktop.org/archives/networkmanager/2024-December/000366.html
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Nov 2025 10:13:58 +0100

## libqmi 1.38.0

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2019 - 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('collection', type: 'combo', choices: ['minimal', 'basic', 'full'], value: 'full', description: 'message collection to build')

option('firmware_update', type: 'boolean', value: true, description: 'enable compilation of `qmi-firmware-update')

option('mbim_qmux', type: 'boolean', value: true, description: 'enable support for QMI over MBIM QMUX service')
option('mm_runtime_check', type: 'boolean', value: true, description: 'build ModemManager runtime check support')
option('qmi_username', type: 'string', value: '', description: 'user allowed to access QMI devices')
option('qmi_groupname', type: 'string', value: '', description: 'group allowed to access QMI devices')
option('qrtr', type: 'boolean', value: true, description: 'enable support for QRTR protocol')
option('rmnet', type: 'boolean', value: true, description: 'enable support for RMNET link management')

option('udev', type: 'boolean', value: true, description: 'build udev support')
option('udevdir', type: 'string', value: '', description: 'where udev base directory is')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('man', type: 'boolean', value: true, description: 'build man pages using help2man')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

option('fuzzer', type: 'boolean', value: false, description: 'build fuzzer tests')

=== debian/changelog ===
libqmi (1.38.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream stable release
  * Link docs to devhelp.
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Jan 2026 19:23:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
-               gobject-introspection,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                gi-docgen <!nodoc>,
                help2man,
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libmbim-glib-dev,
@@ -18,8 +19,7 @@
                meson,
                pkgconf,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://www.freedesktop.org/wiki/Software/libqmi
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libqmi.git
@@ -30,12 +30,13 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         gir1.2-qmi-1.0 (= ${binary:Version}),
          libmbim-glib-dev,
          libqmi-glib5 (= ${binary:Version}),
          libglib2.0-dev,
          libqrtr-glib-dev,
+         ${gir:Depends},
 Suggests: libqmi-glib-doc,
+Provides: ${gir:Provides}
 Description: Header files for adding QMI support to applications that use glib
  This package contains the header and pkg-config files for development
  applications using QMI functionality from applications that use glib.
@@ -84,8 +85,6 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for libqmi-glib
  This package contains introspection data for the libqmi-glib library.
